## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDecimalFormat Class Reference

`#include <XalanDecimalFormat.hpp>`

Inheritance diagram for XalanDecimalFormat:

[legend]
Collaboration diagram for XalanDecimalFormat:

[legend]
List of all members.

## Public Methods

- XalanDecimalFormat (const XalanDOMString &thePatternString, const XalanDecimalFormatSymbols &theSymbols)
    Constructor. More...
- virtual ~XalanDecimalFormat ()
- virtual XalanDOMString format (double theValue)
    Format a number into a string. More...
- virtual void format (double theValue, XalanDOMString &theResult)
    Format a number into a string. More...
- virtual XalanDOMString format (int theValue)
    Format a number into a string. More...
- virtual void format (int theValue, XalanDOMString &theResult)
    Format a number into a string. More...
- virtual XalanDOMString format (unsigned int theValue)
    Format a number into a string. More...
- virtual void format (unsigned int theValue, XalanDOMString &theResult)
    Format a number into a string. More...
- virtual XalanDOMString format (long theValue)
    Format a number into a string. More...
- virtual void format (long theValue, XalanDOMString &theResult)
    Format a number into a string. More...
- virtual XalanDOMString format (unsigned long theValue)
    Format a number into a string. More...
- virtual void format (unsigned long theValue, XalanDOMString &theResult)
    Format a number into a string. More...
- const XalanDecimalFormatSymbols& getDecimalFormatSymbols () const
    Retrieve class defining symbols used for output. More...
- void setDecimalFormatSymbols (const XalanDecimalFormatSymbols &theDecimalFormatSymbols)
    Set class defining symbols used for output. More...
- void applyPattern (const XalanDOMString &thePattern)
- void applyLocalizedPattern (const XalanDOMString &thePattern)

## Protected Methods

- XalanDOMString getNormalizedPattern (const XalanDOMString &thePattern)

## Constructor & Destructor Documentation

XalanDecimalFormat::XalanDecimalFormat ( | const XalanDOMString & thePatternString,
| const XalanDecimalFormatSymbols & theSymbols )

  | Constructor. Parameters:
  thePatternString | string defining how output should be formatted
  theSymbols | class defining the symbols used for output, for example, symbol for currency

XalanDecimalFormat::~XalanDecimalFormat ( | )`[virtual]`

## Member Function Documentation

void XalanDecimalFormat::applyLocalizedPattern ( | const XalanDOMString & thePattern )

void XalanDecimalFormat::applyPattern ( | const XalanDOMString & thePattern )

void XalanDecimalFormat::format ( | unsigned long theValue,
| XalanDOMString & theResult )`[virtual]`

  | Format a number into a string. Parameters:
  theValue | number to format
  theResult | the string result
Reimplemented from XalanNumberFormat.

XalanDOMString XalanDecimalFormat::format ( | unsigned long theValue )`[virtual]`

  | Format a number into a string. Parameters:
  theValue | number to format
Returns: string representation of number Reimplemented from XalanNumberFormat.

void XalanDecimalFormat::format ( | long theValue,
| XalanDOMString & theResult )`[virtual]`

  | Format a number into a string. Parameters:
  theValue | number to format
  theResult | the string result
Reimplemented from XalanNumberFormat.

XalanDOMString XalanDecimalFormat::format ( | long theValue )`[virtual]`

  | Format a number into a string. Parameters:
  theValue | number to format
Returns: string representation of number Reimplemented from XalanNumberFormat.

void XalanDecimalFormat::format ( | unsigned int theValue,
| XalanDOMString & theResult )`[virtual]`

  | Format a number into a string. Parameters:
  theValue | number to format
  theResult | the string result
Reimplemented from XalanNumberFormat.

XalanDOMString XalanDecimalFormat::format ( | unsigned int theValue )`[virtual]`

  | Format a number into a string. Parameters:
  theValue | number to format
Returns: string representation of number Reimplemented from XalanNumberFormat.

void XalanDecimalFormat::format ( | int theValue,
| XalanDOMString & theResult )`[virtual]`

  | Format a number into a string. Parameters:
  theValue | number to format
  theResult | the string result
Reimplemented from XalanNumberFormat.

XalanDOMString XalanDecimalFormat::format ( | int theValue )`[virtual]`

  | Format a number into a string. Parameters:
  theValue | number to format
Returns: string representation of number Reimplemented from XalanNumberFormat.

void XalanDecimalFormat::format ( | double theValue,
| XalanDOMString & theResult )`[virtual]`

  | Format a number into a string. Parameters:
  theValue | number to format
  theResult | the string result
Reimplemented from XalanNumberFormat.

XalanDOMString XalanDecimalFormat::format ( | double theValue )`[virtual]`

  | Format a number into a string. Parameters:
  theValue | number to format
Returns: string representation of number Reimplemented from XalanNumberFormat.

const XalanDecimalFormatSymbols & XalanDecimalFormat::getDecimalFormatSymbols ( | ) const

| Retrieve class defining symbols used for output. Returns: class defining the symbols used for output, for example, symbol for currency

XalanDOMString XalanDecimalFormat::getNormalizedPattern ( | const XalanDOMString & thePattern )`[protected]`

void XalanDecimalFormat::setDecimalFormatSymbols ( | const XalanDecimalFormatSymbols & theDecimalFormatSymbols )

  | Set class defining symbols used for output. Parameters:
  class | defining the symbols used for output, for example, symbol for currency

The documentation for this class was generated from the following file:

- XalanDecimalFormat.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.